Skip to content
POST /unified/file-storage/drive-items/download

Query Parameters

Refer Specifying query parameters in Truto APIs

file_url
8 supported8 required
Box
required
Dropbox - Business
required
Dropbox - Personal
required
Google
required
Google Drive
required
Microsoft 365
required
OneDrive
required
SharePoint
required
productstring

Select the product for which you want to download the drive items.

Possible values:
onedrivesharepoint
1 supported1 required
Microsoft 365
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for a drive item

created_atstring · date-time

The date and time the drive item was created

creatorobject

The creator of the drive item

emailsobject[]

The emails of the user

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

idstring

The unique identifier for a user

namestring

The name of the user

descriptionstring

The description of the drive item

driveobject

The drive of the drive item

idstring

The unique identifier for a drive

has_childrenboolean

Whether the drive item has children

mime_typestring

The mime type of the drive item

namestring

The name of the drive item

parentobject

The parent folder of the drive item

idstring

The unique identifier for a folder

namestring

The name of the folder

pathstring

The path of the drive item

public_urlstring

The public URL of the drive item

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sizeinteger

The size of the drive item

tagsstring[]

The tags associated with the drive item

typestring

The type of the drive item

Possible values:
filefolder
updated_atstring · date-time

The date and time the drive item was last updated

urlsobject[]

The URLs of the drive item

typestring

The type of the drive item

Possible values:
selfthumbnail
urlstring

The URL of the drive item

curl -X POST 'https://api.truto.one/unified/file-storage/drive-items/download?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/file-storage/drive-items/download?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/file-storage/drive-items/download"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: download
const result = await truto.unifiedApi.download(
  'file-storage',
  'driveitems',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: download
    result = await truto_api.unified_api.download(
        "file-storage",
        "driveitems",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())